@if (formGroup) {
  <div class="form-grid p-b-10" [formGroup]="formGroup">
    @if (!remoteIssueDialogState.attachMode) {
      <sqtm-core-label
        [text]="
          'sqtm-core.campaign-workspace.remote-issue.report-dialog.category.label'
            | translate
        "
      >
      </sqtm-core-label>
      <sqtm-core-select-field
        [options]="categoryOptions"
        [formGroup]="formGroup"
        [fieldName]="'category'"
        [disabled]="isSelectDisabled(categoryOptions)"
      >
      </sqtm-core-select-field>
      <sqtm-core-label
        [text]="
          'sqtm-core.campaign-workspace.remote-issue.report-dialog.severity.label'
            | translate
        "
      >
      </sqtm-core-label>
      <sqtm-core-select-field
        [options]="severityOptions"
        [formGroup]="formGroup"
        [fieldName]="'severity'"
        [disabled]="isSelectDisabled(severityOptions)"
      >
      </sqtm-core-select-field>
      <sqtm-core-label
        [text]="
          'sqtm-core.campaign-workspace.remote-issue.report-dialog.version.label'
            | translate
        "
      >
      </sqtm-core-label>
      <sqtm-core-select-field
        [options]="versionOptions"
        [formGroup]="formGroup"
        [fieldName]="'version'"
        [disabled]="isSelectDisabled(versionOptions)"
      >
      </sqtm-core-select-field>
      <sqtm-core-label
        [text]="
          'sqtm-core.campaign-workspace.remote-issue.report-dialog.assignee.label'
            | translate
        "
      >
      </sqtm-core-label>
      <sqtm-core-select-field
        [options]="assigneeOptions"
        [formGroup]="formGroup"
        [fieldName]="'assignee'"
        [disabled]="isSelectDisabled(assigneeOptions)"
      >
      </sqtm-core-select-field>
      <sqtm-core-label
        [text]="
          'sqtm-core.campaign-workspace.remote-issue.report-dialog.summary.label'
            | translate
        "
      >
      </sqtm-core-label>
      <sqtm-core-text-field [formGroup]="formGroup" [fieldName]="'summary'">
      </sqtm-core-text-field>
      <sqtm-core-label
        [text]="'sqtm-core.entity.generic.description.label' | translate"
      >
      </sqtm-core-label>
      <sqtm-core-text-area-field
        [formGroup]="formGroup"
        [fieldName]="'description'"
        [rows]="7"
      >
      </sqtm-core-text-area-field>
      <sqtm-core-label
        [text]="'sqtm-core.entity.issue.comment.label' | translate"
      >
      </sqtm-core-label>
      <sqtm-core-text-area-field
        [formGroup]="formGroup"
        [fieldName]="'comment'"
        [rows]="7"
      >
      </sqtm-core-text-area-field>
    } @else {
      @if (remoteIssueService.searchResultLoaded$ | async) {
        <sqtm-core-label
          [text]="
            'sqtm-core.campaign-workspace.remote-issue.report-dialog.remote-project.label'
              | translate
          "
        >
        </sqtm-core-label>
        <span>{{ (remoteIssueService.state$ | async).remoteProjectName }}</span>
        <sqtm-core-label
          [text]="
            'sqtm-core.campaign-workspace.remote-issue.report-dialog.category.label'
              | translate
          "
        >
        </sqtm-core-label>
        <span>{{
          (remoteIssueService.reportForm$ | async).category.name
        }}</span>
        <sqtm-core-label
          [text]="
            'sqtm-core.campaign-workspace.remote-issue.report-dialog.severity.label'
              | translate
          "
        >
        </sqtm-core-label>
        <span>{{
          (remoteIssueService.reportForm$ | async).priority.name
        }}</span>
        <sqtm-core-label
          [text]="
            'sqtm-core.campaign-workspace.remote-issue.report-dialog.version.label'
              | translate
          "
        >
        </sqtm-core-label>
        <span>{{ (remoteIssueService.reportForm$ | async).version.name }}</span>
        <sqtm-core-label
          [text]="
            'sqtm-core.campaign-workspace.remote-issue.report-dialog.assignee.label'
              | translate
          "
        >
        </sqtm-core-label>
        <span>{{
          (remoteIssueService.reportForm$ | async).assignee.name
        }}</span>
        <sqtm-core-label
          [text]="
            'sqtm-core.campaign-workspace.remote-issue.report-dialog.summary.label'
              | translate
          "
        >
        </sqtm-core-label>
        <span>{{ (remoteIssueService.reportForm$ | async).summary }}</span>
        <sqtm-core-label
          [text]="'sqtm-core.entity.generic.description.label' | translate"
        >
        </sqtm-core-label>
        <span class="read-only-field">{{
          (remoteIssueService.reportForm$ | async).description
        }}</span>
        <sqtm-core-label
          [text]="'sqtm-core.entity.issue.comment.label' | translate"
        >
        </sqtm-core-label>
        <span
          class="read-only-field"
          [innerHTML]="(remoteIssueService.reportForm$ | async).comment"
        ></span>
      }
    }
    @if (asyncMode) {
      <div class="modal-overlay modal-overlay-loading">
        <i nz-icon nzType="loading" nzTheme="outline" class="m-auto"></i>
      </div>
    }
  </div>
}
